package ps4.directions;

import java.io.File;
import java.io.IOException;


public class MetroDirections {        
    
    /**
     * Returns textual directions from an origin node to a destination node.
     * fileName is the path of a file in the format of inputs/bostonmetro.txt 
     * in the problem set.
     *    
     * @returns a String of the form:
     * Station1-(Line12)-Station2-(Line23)-Station3-...-StationN-1-(LineN-1N)-StationN
     * Where <Station1,Station2,...,StationN> are names of stations that form a 
     * path from Station1 to StationN.
     * 
     * For example, the following String is a valid output:
     * "Kendall-(Red)-Charles/MGH-(Red)-ParkStreet-(Green)-GovernmentCenter-(Green)-Haymarket"
     * 
     * @throws IllegalArgumentException if stations with names origin or destination do not exist.
     * @throws PathNotFoundException if no path exists between the stations with names
     *  origin and destination in the input file.          
     * @throws java.io.IOException if the filename cannot be read
     * @throws BadFileException if there is a problem with the format of the file
     * 
     */
    public String getDirections(String fileName, String origin, String destination) 
    throws PathNotFoundException, IOException, BadFileException {
        // TODO: implement this method and remove RunTimeException
        throw new RuntimeException("getDirections() not implemented");        
    }

}
