package ps4.tests;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import ps4.directions.MetroDirections;
import ps4.directions.PathNotFoundException;

/**
 * This class contains a set of test cases that can be used to test the
 * implementation of the BasicList class.
 * 
 */
public class MetroDirectionsTest extends TestCase {
    
    MetroDirections md;
    
    public MetroDirectionsTest(String s) {
        super(s);
    }
    
    public void setUp() {
        md = new MetroDirections();
    } // end setUp()
    
    public void testSimple() {
        try {            
            assertEquals(md.getDirections("input/bostonmetro.txt", "Kendall", "Haymarket"),
                "Kendall-(Red)-Charles/MGH-(Red)-ParkStreet-(Green)-GovernmentCenter-(Green)-Haymarket");
        } catch (PathNotFoundException pnfe) {
            fail("Incorrectly threw PathNotFoundException for Kendall/Haymarket");
        } catch (Exception e) {
            fail(e.toString());
        }
    }
    
    
    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTest(new MetroDirectionsTest("testSimple"));
        return suite;
    } // end suite()

}
